Skip to main content
GET
/
private
/
approve_block_trade
cURL
curl --request GET \
  --url https://drb.coinbase.com/api/v2/private/approve_block_trade \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "private/approve_block_trade",
  "params": {
    "nonce": "bt-468nha",
    "role": "maker",
    "timestamp": 1711468813551
  }
}
'
import requests

url = "https://drb.coinbase.com/api/v2/private/approve_block_trade"

payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/approve_block_trade",
"params": {
"nonce": "bt-468nha",
"role": "maker",
"timestamp": 1711468813551
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/approve_block_trade',
params: {nonce: 'bt-468nha', role: 'maker', timestamp: 1711468813551}
})
};

fetch('https://drb.coinbase.com/api/v2/private/approve_block_trade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1569,
  "jsonrpc": "2.0",
  "result": "ok"
}

Query Parameters

timestamp
integer
required

Timestamp, shared with other party (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

nonce
string
required

Nonce

Example:

"bF1_gfgcsd"

role
enum<string>
required

Describes if user wants to be maker or taker of trades Trade role of the user: maker or taker

Available options:
maker,
taker

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
enum<string>
required

Result of method execution. ok in case of success

Available options:
ok
id
integer

The id that was sent in the request